<div class="p-20">
	<div class="mb-20">

		<div class="breadcrumbs" >
			<a class="breadcrumbs__item"
				routerLink="../">
				<span> К списку пакетов с приказами </span>
			</a>
		</div>

		<div>
			<h3 fxFlex=""> Детализация пакета с приказами на зачисление</h3>

		</div>


	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<div class="art-card"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">

		<table mat-table [dataSource]="data">

			<ng-container matColumnDef="id">
				<th mat-header-cell *matHeaderCellDef > ID </th>
				<td mat-cell *matCellDef="let row"> {{ row.id }}</td>
			</ng-container>

			<ng-container matColumnDef="campaign">
				<th mat-header-cell *matHeaderCellDef > ПК </th>
				<td mat-cell *matCellDef="let row"> {{row.name_campaign }} </td>
			</ng-container>


			<ng-container matColumnDef="educationLevelName">
				<th mat-header-cell *matHeaderCellDef > Уровень образования </th>
				<td mat-cell *matCellDef="let row"> {{row.name_education_level }} </td>
			</ng-container>

			<ng-container matColumnDef="educationFormName">
				<th mat-header-cell *matHeaderCellDef > Форма обучения </th>
				<td mat-cell *matCellDef="let row"> {{row.name_education_form }} </td>
			</ng-container>

			<ng-container matColumnDef="educationSourceName">
				<th mat-header-cell *matHeaderCellDef > Источник финансирования </th>
				<td mat-cell *matCellDef="let row"> {{row.name_education_source }} </td>
			</ng-container>

			<ng-container matColumnDef="orderName">
				<th mat-header-cell *matHeaderCellDef > Приказ</th>
				<td mat-cell *matCellDef="let row"> {{row.order_name }} </td>
			</ng-container>

			<ng-container matColumnDef="orderDate">
				<th mat-header-cell *matHeaderCellDef > Дата приказа</th>
				<td mat-cell *matCellDef="let row"> {{row.order_date | date: 'dd.MM.yyyy HH:mm'}} </td>
			</ng-container>

			<ng-container matColumnDef="published">
				<th mat-header-cell *matHeaderCellDef >Дата публикации</th>
				<td mat-cell *matCellDef="let row"> {{ row.published | date: 'dd.MM.yyyy HH:mm' }}</td>
			</ng-container>

			<ng-container matColumnDef="appNumber">
				<th mat-header-cell *matHeaderCellDef >Номер заявления</th>
				<td mat-cell *matCellDef="let row"> {{ row.app_number || 'не найдено'}}</td>
			</ng-container>

			<ng-container matColumnDef="uidEpgu">
				<th mat-header-cell *matHeaderCellDef >UID ЕПГУ заявления</th>
				<td mat-cell *matCellDef="let row"> {{ row.uid_epgu || 'не найдено'}}</td>
			</ng-container>

			<ng-container matColumnDef="checked">
				<th mat-header-cell *matHeaderCellDef > Добавлено</th>
				<td mat-cell *matCellDef="let row"> {{ row.checked | yesNo }}</td>
			</ng-container>

			<ng-container matColumnDef="error">
				<th mat-header-cell *matHeaderCellDef > Ошибка</th>
				<td mat-cell *matCellDef="let row"> {{ row.error || '-'}}</td>
			</ng-container>


			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef  [colSpan]="displayedColumns.length" ><i>Данные не найдены</i> </td>
			</ng-container>

			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
			<tr mat-row
				class="table-row"
				*matRowDef="let item; columns: displayedColumns; " >

			</tr>
			<tr mat-row *matFooterRowDef="['noRecord'] " [hidden]="data.length" ></tr>

		</table>
		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="pageSizeOptions"
			showFirstLastButtons>
		</mat-paginator>
	</div>
</div>
